Skip to content
Documentation

Retrieves time series data

GET /repositories/{repository}/timeSeries/{timeSeries}/data

Fetches data points from a time series identified by its name. The from and to parameters are required.

Name In Type Required Description
repository path string yes The repository in which the time series is stored.
timeSeries path string yes The name or id (prefixed with ‘id:’) of the time series from which data should be fetched.
from query string (date-time) yes Together with the to parameter, defines the period of time for which data is to be returned.
to query string (date-time) yes Together with the from parameter, defines the period of time for which data is to be returned.
cyclic query boolean no Specifies whether the data should be read as if it is cyclic or not. If not specified, the cyclic property of the underlying time series is used.
function query integer (int32) | string no Specifies the function type that should be used when reading the data. If none is specified, the function type of the undelying time series is used.
historicDateTime query string no Specifies the date/time in the history of the time series that should be read. If not specified, the current state of the data is read.
interval.multiplier query integer (int32) no In combination with the interval.type parameter, this allows for the data to be returned in any conceivable interval, i.e. 15 minutes, 2 hours, 8 weeks, etc.
interval.type query integer (int32) | string no The interval type (i.e. hour, minute, etc.) in which data should be returned.

Interval types can be specified either by their numeric value or by their short string representation.
intervalTransformationMethod query integer (int32) | string no Specifies the interval transformation method that should be used when reading data in another interval than the underlying time series has set. If not specified then the interval transformation method of the underlying time series is used.
quotation.from query string (date-time) no Specifies which quotations of the data should be read.

When given, the quotation.from and quotation.to parameters define a time-period of quotations that should be read.
Specifying only the quotation.from parameter, causes only data from quotations at or after that time stamp to be read.
Respectively, specifying only the quotation.to parameter causes only data from quotations at or before that time stamp to be read.

Setting both quotation.from and quotation.to to the same timestamp reads only data that has been written with that exact quotation time stamp.

The beginning of the period.
quotation.to query string (date-time) no Specifies which quotations of the data should be read.

When given, the quotation.from and quotation.to parameters define a time-period of quotations that should be read.
Specifying only the quotation.from parameter, causes only data from quotations at or after that time stamp to be read.
Respectively, specifying only the quotation.to parameter causes only data from quotations at or before that time stamp to be read.

Setting both quotation.from and quotation.to to the same timestamp reads only data that has been written with that exact quotation time stamp.

The end of the period.
quotationBehavior query number no Determines how quotation data should be loaded.
timeZone query string no The time zone in which the data is to be read. If this is different from the time zone of the underlying time series, some transformations may be applied.
unit query string no Specifies the unit the data should be read in. Conversion is attempted if possible. If not specified, the unit of the underlying time series is used.
functionType query number no Deprecated. Do not use! Use function parameter instead! Specifies the function type that should be used when reading the data. If none is specified, the function type of the undelying time series is used.
intervalMultiplier query integer (int32) no Deprecated. Obsolete! Please use the interval.multiplier parameter instead! In combination with the intervalType parameter, this allows for the data to be returned in any conceivable interval, i.e. 15 minutes, 2 hours, 8 weeks, etc.
intervalType query number no Deprecated. Obsolete! Please use the interval.type parameter instead! The interval type (i.e. hour, minute, etc.) in which data should be returned.
quotationDateTime query string no Deprecated. Do not use!

Please use the quotation.from/quotation.to parameters instead, as these allow for more finely-grained control over what quotation data should be loaded.

The (optional) quotation date/time for which data should be read and whether only quotation data from that exact date/time should be loaded or whether previous quotations should be included as well if available.
Code Description Type
200 List of time series data in given timespan object
400 Indicates that one of the parameters “from” or “to” is missing, or that both parameters quotation.to/quotation.from and quotationDateTime are present. ProblemDetails
404 Indicates that the repository or the requested time series does not exist ProblemDetails
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails
Name Type Required Description
data TimeSeriesDataOfDouble[] no —
unit UnitReference no —
interval Interval no —
cyclic boolean no —
function number no Specifies the validity of each single value along a time series, i.e either from the last value up to the current data/time or from the current date/time to the next value.
timeZone string no Identifies the time zone in which a time series is defined. This may impact calculation results, especially during daylight savings time transitions.
{
"data": [
{
"value": 0,
"flag": 9,
"time": "2026-01-01T00:00:00Z"
}
],
"unit": {
"storageInformation": {
"repositoryName": "string"
},
"identifier": "string"
},
"interval": {
"type": 2,
"multiplier": 0
},
"cyclic": true,
"function": 2,
"timeZone": "Europe/Vienna"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026